#ifndef SCENE_H
#define SCENE_H

#include "Stage1.h"
#include "Stage2.h"
#include "Data.h"
#include "Messages.h"
#include "struct.h"
#include "Key.h"
#include "enemy.h"
#include "Time.h"

class Scenes{

private:

	bool clear;
	bool T_or_F;
	int Title;
	Enemy e;
	PlayerChar PC;
	TimeAndData data;
	Messages messages;
	Stage_1 s1;
	Stage_2 s2;
	

	void clearStage1();
	void clearStage2();
	void Reset();
	void Menu();

public:
//	Scenes();
	Scenes(Key& kk);

	void drawBackground();
	void Stage1();
	void Stage2();
	void Data();
	void updateScene();

	~Scenes();

};

#endif
