#include "DxLib.h"
#include "Key.h"
#include "struct.h"
#include "PlayerChar.h"

class Stage_1{

private:

	int x_Draw;
	int y_Draw;

public:

	Stage_1();

	void drawPlayerStage1(PlayerChar PC,Key k);
	int getPosition(bool X_or_Y);
	void setPosition(bool X_or_Y,int position);

	~Stage_1();

};

Stage_1::Stage_1(){
	x_Draw = 0;
	y_Draw = 100;
}

void Stage_1::drawPlayerStage1(PlayerChar PC,Key k){
	if( k.getKey( KEY_INPUT_RIGHT ) >= 1 )								x_Draw +=3;
    if( k.getKey( KEY_INPUT_DOWN ) >=1 && k.getKey( KEY_INPUT_RIGHT ) >=1 )	x_Draw +=6;
    if( k.getKey( KEY_INPUT_LEFT ) >= 1 )								    x_Draw -=4;
    if( k.getKey( KEY_INPUT_LEFT ) && k.getKey( KEY_INPUT_RCONTROL ) >= 1 ) x_Draw -=8;
    if( k.getKey( KEY_INPUT_TAB ) >= 1 )     								x_Draw +=50;	

    if(x_Draw>=605){
	  y_Draw+=100;
	  x_Draw=0;
    }
    if(x_Draw<0 && y_Draw==100){
	   x_Draw=0;
	   y_Draw=100;
    }
    if(x_Draw<0 && y_Draw>=200){
	  y_Draw-=100;
	  x_Draw=600;
    }

    if(y_Draw==100 || y_Draw==300){
	   DrawRotaGraph(x_Draw,y_Draw,1.0,0.0,PC.getPlayerHandle(true),TRUE);
    }else{   
	   DrawRotaGraph(x_Draw,y_Draw,1.0,0.0,PC.getPlayerHandle(false),TRUE);
    }
    
}

int Stage_1::getPosition(bool X_or_Y){
	if(X_or_Y) return x_Draw;
	else	   return y_Draw;
}

void Stage_1::setPosition(bool X_or_Y,int position){
	if(X_or_Y) x_Draw = position;
	else	   y_Draw = position;
}

Stage_1::~Stage_1(){}