#include "DxLib.h"
#include "struct.h"
#include "Key.h"
#include "struct.h"
#include "Data.h"
#include "Stage1.h"
#include "Stage2.h"
#include "enemy.h"
#include "GameOver.h"
#include "PlayerChar.h"
#include "Messages.h"

#define x_pos true
#define y_pos false

class Scenes{

private:

	bool clear;
	bool T_or_F;
	int Title;
//	Key k;
	Key& k;
	Enemy e;
	PlayerChar PC;
	TimeAndData data;
	Messages messages;
	Stage_1 s1;
	Stage_2 s2;
	

	void clearStage1();
	void clearStage2();
	void Reset();
	void Menu();

public:
//	Scenes();
	Scenes(Key& kk);

	void drawBackground();
	void Stage1();
	void Stage2();
	void Data();
	void updateScene();

	~Scenes();

};

//Scenes::Scenes(){
Scenes::Scenes(Key& kk):k(kk){
	Title=LoadGraph("TestApp/Data/Pictures/TestApp.png");
}

void Scenes::drawBackground(){
	 DrawGraph(0,0,PC.getBackgroundHandle(),TRUE);
}

void Scenes::clearStage1(){
		clear=false;
		DrawString(200,460,"Xy[XL[Ńj[ɖ߂",GetColor(0x00,0xA5,0xFF));
		clear= ( s1.getPosition(true)>=595 && s1.getPosition(false)>=400 )?true:false;
		if(clear){
			if(MessageBox(GetMainWindowHandle(),"\tClear!\nStage1NA܂B\n"
				"j[ʂ֖߂܂","Stage1",MB_OK)==IDOK ){
				changeScene(eScene_Menu);
			}
		}
}

void Scenes::clearStage2(){
	clear=false;
	DrawString(200,460,"Xy[XL[Ńj[ɖ߂",GetColor(0x00,0xA5,0xFF));
	clear= ( s2.getPosition(false)>=500 )?true:false;
	if(clear){
		if(MessageBox(GetMainWindowHandle(),"\tClear!\nStage2NA܂B\n"
			"j[ʂ֖߂܂","Stage2",MB_OK)==IDOK ){
			changeScene(eScene_Menu);
		}
	}
}


void Scenes::Stage1(){
	messages.Setsume();
	s1.drawPlayerStage1(PC,k);
	e.drawEnemy();
	clearStage1();
	e.ifGameOver(s1);
	T_or_F = e.getGameOverFlag();
	if(T_or_F)    doGameOver();
	changeSceneByKey(KEY_INPUT_SPACE,eScene_Menu,k);
}

void Scenes::Stage2(){
    messages.Setsume2();
    s2.drawPlayerStage2(PC,k);
    clearStage2();
    changeSceneByKey(KEY_INPUT_SPACE,eScene_Menu,k);
}

void Scenes::Data(){
	data.readFile();
	DrawString(200,460,"Xy[XL[Ńj[ɖ߂",GetColor(0xFF,0xFF,0x00));
	changeSceneByKey(KEY_INPUT_SPACE,eScene_Menu,k);
}


void Scenes::Reset(){
	s1.setPosition(x_pos,0);
	s1.setPosition(y_pos,100);
	s2.setPosition(x_pos,600);
	s2.setPosition(y_pos,100);
    messages.setMessageFlag(true);
    e.setGameOverFlag(false);
}


void Scenes::Menu(){

    DrawGraph(150,10,Title,TRUE);
    DrawString(300,460,"1`2:Stage@D:Data@esc:Exit",GetColor(0xFF,0x00,0xFF));
    changeSceneByKey(KEY_INPUT_1,eScene_Stage1,k);
    changeSceneByKey(KEY_INPUT_2,eScene_Stage2,k);
    changeSceneByKey(KEY_INPUT_D,eScene_Data,k);

}

void Scenes::updateScene(){
    Menu();
    Reset();
}

Scenes::~Scenes(){}

