#include "DxLib.h"
#include "Key.h"
#include "struct.h"
#include "PlayerChar.h"

class Stage_2{

private:
	int x_Stage2;
	int y_Stage2;

public:
	Stage_2();

	void drawPlayerStage2(PlayerChar PC,Key k);
	int getPosition(bool X_or_Y);
	void setPosition(bool X_or_Y,int pos);

	~Stage_2();

};


Stage_2::Stage_2(){
	
	x_Stage2=600;
	y_Stage2=100;

}

void Stage_2::drawPlayerStage2(PlayerChar PC,Key k){
    if( k.getKey( KEY_INPUT_RIGHT ) >= 1  )								x_Stage2 += 5;
    if( k.getKey( KEY_INPUT_DOWN ) >=1 && k.getKey( KEY_INPUT_RIGHT ) >=1)	x_Stage2 += 10;
    if( k.getKey( KEY_INPUT_LEFT )  >= 1  )								x_Stage2 -= 4;
    if( k.getKey( KEY_INPUT_LEFT ) && k.getKey( KEY_INPUT_RCONTROL ) >= 1  )x_Stage2 -= 8;
    if( k.getKey( KEY_INPUT_TAB )   >= 1  )								x_Stage2 -= 70;

    
    if(x_Stage2<=0){
	  y_Stage2+=100;
	  x_Stage2=600;
    }
    if(x_Stage2>600 && y_Stage2==100){
	   x_Stage2=600;
	   y_Stage2=100;
    }
    if(x_Stage2>600 && y_Stage2>=200){
	  y_Stage2-=100;
	  x_Stage2=600;
    }

    if(y_Stage2==100 || y_Stage2==300){
	   DrawRotaGraph(x_Stage2,y_Stage2,1.0,0.0,PC.getPlayerHandle(false),TRUE);
    }else{   
	   DrawRotaGraph(x_Stage2,y_Stage2,1.0,0.0,PC.getPlayerHandle(true),TRUE);
    }
    
}

int Stage_2::getPosition(bool X_or_Y){
	if(X_or_Y) return x_Stage2;
	else	   return y_Stage2;
}

void Stage_2::setPosition(bool X_or_Y,int pos){
	if(X_or_Y)	x_Stage2 = pos;
	else		y_Stage2 = pos;
}

Stage_2::~Stage_2(){}
