//enemy.cpp

#include "DxLib.h"
#include "Stage1.h"
#include "GameOver.h"
#include "struct.h"

class Enemy{

private:
	int teki_1;
	int teki_2;
	int Count;
	static const int x_e1 = 250;  //ɂ͓Ȃ
	static const int x_e2 = 470;  //ɂ͓Ȃ
	int y_e1;
	int y_e2;
	bool GameOverFlag;
	int x_de1,x_de2;
	int y_de1,y_de2;


public:
	Enemy();

	const int get_xEnemy(bool OneOrTwo); //1Ȃtrue,2Ȃfalse
	int get_yEnemy(bool OneOrTwo); //1Ȃtrue,2Ȃfalse
	void set_yEnemy(bool OneOrTwo,int y); //1Ȃtrue,2Ȃfalse
	int getEnemysHandle(bool OneOrTwo); //1Ȃtrue,2Ȃfalse
	bool getGameOverFlag();
	void setGameOverFlag(bool T_or_F);
	void drawEnemy();
	void ifGameOver(Stage_1 s1);

	~Enemy();

};

Enemy::Enemy(){
	teki_1=LoadGraph("TestApp/Data/Pictures/teki1.png");
	teki_2=LoadGraph("TestApp/Data/Pictures/teki2.png");
	Count = 0;
	y_e1 = 30;
	y_e2 = 180;
	GameOverFlag=false;
}

const int Enemy::get_xEnemy(bool OneOrTwo){
	if(OneOrTwo)		return x_e1;
	else				return x_e2;
}

int Enemy::get_yEnemy(bool OneOrTwo){
	if(OneOrTwo)		return y_e1;
	else				return y_e2;
}

void Enemy::set_yEnemy(bool OneOrTwo,int y){
	if(OneOrTwo)		y_e1=y;
	else				y_e2=y;
}

bool Enemy::getGameOverFlag(){
	return GameOverFlag;
}

void Enemy::setGameOverFlag(bool T_or_F){
	GameOverFlag = T_or_F;
}

int Enemy::getEnemysHandle(bool OneOrTwo){
	if(OneOrTwo)	return teki_1;
	else			return teki_2;
}


void Enemy::drawEnemy(){
		DrawGraph(x_e1,y_e1,teki_1,TRUE);
		DrawGraph(x_e2,y_e2,teki_2,TRUE);
		
		y_e1 += 2; 
		y_e2 += 4;
		y_e1 = y_e1>=480 ? 0 : y_e1 ;
		y_e2 = y_e2>=480 ? 0 : y_e2 ;
}

void Enemy::ifGameOver(Stage_1 s1){
		
		x_de1 = (s1.getPosition(true)-x_e1);
		x_de2 = (s1.getPosition(true)-x_e2);
		y_de1 = (s1.getPosition(false)-y_e1);
		y_de2 = (s1.getPosition(false)-y_e2); 
		
		if( x_de1*x_de1+y_de1*y_de1<=(75+13)*(75+13) ){
			GameOverFlag=true;
		}else if( x_de2*x_de2+y_de2*y_de2<=(75+10)*(75+10) ){
			GameOverFlag=true;
		}

}

Enemy::~Enemy(){}
